import { IChartInstance, IChartRenderModel } from '@univerjs-pro/engine-chart';
import { Disposable, Injector } from '@univerjs/core';
import { EmbeddedChartModelService } from './embedded-chart-model.service';
export declare const SINGLETON_PREFIX = "singleton:";
export declare class EmbeddedChartRenderService extends Disposable {
    private readonly _chartModelService;
    protected readonly _injector: Injector;
    private _renderModelMap;
    private _chartInstanceMap;
    private _chartToInstanceMap;
    private _currentModel;
    constructor(_chartModelService: EmbeddedChartModelService, _injector: Injector);
    registerRenderModel(name: string, renderModel: IChartRenderModel): void;
    setRenderModel(name: string): void;
    getRenderModel(name: string): IChartRenderModel<Record<string, any>> | undefined;
    getAllInstanceByChartId(chartId: string): (IChartInstance<Record<string, any>> | undefined)[] | undefined;
    downloadChart(instanceId: string): Promise<void>;
    downloadCSV(id: string): Promise<void>;
    render(unitId: string, chartId: string, ele: HTMLElement, containerId: string): Promise<IChartInstance<Record<string, any>> | null>;
    dispose(): void;
}
